Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InputMessageVideo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputMessageContent
it.tdlight.jni.TdApi.InputMessageVideo

Enclosing class:
  TdApi

public static final class TdApi.InputMessageVideo extends TdApi.InputMessageContent
A video message.

## Field Summary

Fields
Modifier and Type
Field
Description
`int[]`
`addedStickerFileIds`
File identifiers of the stickers added to the video, if applicable.
`TdApi.FormattedText`
`caption`
Video caption; pass null to use an empty caption; 0-getOption("message_caption_length_max") characters.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`duration`
Duration of the video, in seconds.
`boolean`
`hasSpoiler`
True, if the video preview must be covered by a spoiler animation; not supported in secret chats.
`int`
`height`
Video height.
`TdApi.MessageSelfDestructType`
`selfDestructType`
Video self-destruct type; pass null if none; private chats only.
`boolean`
`supportsStreaming`
True, if the video is supposed to be streamed.
`TdApi.InputThumbnail`
`thumbnail`
Video thumbnail; pass null to skip thumbnail uploading.
`TdApi.InputFile`
`video`
Video to be sent.
`int`
`width`
Video width.

## Constructor Summary

Constructors
Constructor
Description
`InputMessageVideo()`
A video message.
`InputMessageVideo(TdApi.InputFile video, TdApi.InputThumbnail thumbnail, int[] addedStickerFileIds, int duration, int width, int height, boolean supportsStreaming, TdApi.FormattedText caption, TdApi.MessageSelfDestructType selfDestructType, boolean hasSpoiler)`
A video message.
`InputMessageVideo(DataInput input)`
A video message.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### video

public TdApi.InputFile video
Video to be sent.

### thumbnail

public TdApi.InputThumbnail thumbnail
Video thumbnail; pass null to skip thumbnail uploading.

### addedStickerFileIds

public int[] addedStickerFileIds
File identifiers of the stickers added to the video, if applicable.

### duration

public int duration
Duration of the video, in seconds.

### width

public int width
Video width.

### height

public int height
Video height.

### supportsStreaming

public boolean supportsStreaming
True, if the video is supposed to be streamed.

### caption

public TdApi.FormattedText caption
Video caption; pass null to use an empty caption; 0-getOption("message_caption_length_max") characters.

### selfDestructType

public TdApi.MessageSelfDestructType selfDestructType
Video self-destruct type; pass null if none; private chats only.

### hasSpoiler

public boolean hasSpoiler
True, if the video preview must be covered by a spoiler animation; not supported in secret chats.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### InputMessageVideo

public InputMessageVideo()
A video message.

### InputMessageVideo

public InputMessageVideo(TdApi.InputFile video, TdApi.InputThumbnail thumbnail, int[] addedStickerFileIds, int duration, int width, int height, boolean supportsStreaming, TdApi.FormattedText caption, TdApi.MessageSelfDestructType selfDestructType, boolean hasSpoiler)
A video message.

Parameters:
  `video` - Video to be sent.
  `thumbnail` - Video thumbnail; pass null to skip thumbnail uploading.
  `addedStickerFileIds` - File identifiers of the stickers added to the video, if applicable.
  `duration` - Duration of the video, in seconds.
  `width` - Video width.
  `height` - Video height.
  `supportsStreaming` - True, if the video is supposed to be streamed.
  `caption` - Video caption; pass null to use an empty caption; 0-getOption("message_caption_length_max") characters.
  `selfDestructType` - Video self-destruct type; pass null if none; private chats only.
  `hasSpoiler` - True, if the video preview must be covered by a spoiler animation; not supported in secret chats.

### InputMessageVideo

public InputMessageVideo(DataInput input) throws IOException
A video message.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`